/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import CardActions from '@material-ui/core/CardActions';
import Typography from '@material-ui/core/Typography';
import styled from 'styled-components';
import Button from '@material-ui/core/Button';
import { Link } from 'react-router-dom';

export default function MaterialCard(props) {
    const thumb = require(`../../public/${props.topic.img}`)

    return (
        <Card className={`${props.contrast}BackColor ${props.contrast}Border`} style={{ maxHeight: "100%", maxWidth: "300px" }}>
            <img style={{ maxHeight: "100%", maxWidth: "100%" }} src={thumb} alt="thumbnail do recurso" />
            <CardContent className={`${props.contrast}Text`} style={{ height: "50px" }}>
                <Title>
                    {props.topic.pre_title}
                    {props.topic.title}
                </Title>
            </CardContent>
            <CardActions style={{ justifyContent: "center" }}>
                <StyledLink className={`${props.contrast}LinkColor`} to={"topico?colecao=" + props.colecao_id + "&topico=" + props.topic.id}>
                    <Button
                        className={`${props.contrast}LinkColor`}
                        style={props.contrast === "" ? {color: "#e8224f"} : {color: "white"}}
                    >
                        Ver módulo
                    </Button>
                </StyledLink>
            </CardActions>
        </Card >
    )
}

const Title = styled(Typography)`
    font-weight: 500;
	font-size: 0.9em;
	margin-left: 10px;
	margin-right: 10px;

	display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
`
const StyledLink = styled(Link)`
	color: inherit !important;
`