/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import styled from 'styled-components'
import Check from '@material-ui/icons/Check';
import Grid from '@material-ui/core/Grid';

export default function CustomizedSteppers(props) {

  function isInFinalSTep(step) {
    return step === 2;
  }

  return (
    <MainGrid contrast={props.contrast} container direction='row' justify='space-between' alignItems='center'>
      {
        !isInFinalSTep(props.activeStep) ?

          [0, 1, 2].map((index) => {
            return (
              <Grid item key={new Date().toISOString() + index}>
                <div className={props.activeStep === index ? "currStep" : "step"}>
                  {
                    index < props.activeStep ?
                      <Check style={props.contrast === "" ? { color: "#00bcd4" } : { color: "white" }} /> : <span>{index + 1}</span>
                  }
                </div>
              </Grid>
            )
          })
          :
          [0, 1, 2].map((index) => {
            return (
              <Grid item key={new Date().toISOString() + index}>
                <div className={props.activeStep === index ? "currStep" : "finalStep"}>
                  {
                    index < props.activeStep ?
                      <Check style={{ color: 'white' }} /> :
                      <span style={{ color: 'white' }}>
                        {index + 1}
                      </span>
                  }
                </div>
              </Grid>
            )
          })
      }
    </MainGrid >
  );
}

const MainGrid = styled(Grid)`
    padding: 1em; 
    border-radius: 50px;
    width: 90%;
    margin: 0 auto;
    border: ${props => props.contrast === "" ? "2px solid #d4d4d4" : "2px solid white"};
    color: ${props => props.contrast === "" ? "#666" : "white"};

    .currStep{
        height: 30px;
        width: 30px;
        display: flex;
        justify-content: center; 
        align-items: center;
        border: 2px solid rgba(255, 255, 255, 0.6); 
        border-radius: 50%;
    }

  .step{
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center; 
    align-items: center;
    border: ${props => props.contrast === "" ? "2px solid #00bcd4" : "2px solid white"};
    border-radius: 50%;
  }

  .finalStep{
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center; 
    align-items: center;
    border: 2px solid white;
    border-radius: 50%;
    color: white;
  }
`

